slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGPolygonGetVertices

Gets the vertices that define the polygon region.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGPolygonGetVertices(RG rg,PetscInt *n,PetscScalar **vr,PetscScalar **vi)

Not Collective

### Input Parameter

| rg | - the region context

### Output Parameters

| n | - number of vertices
| vr | - array of vertices
| vi | - array of vertices (imaginary part)

### Notes

The values passed by user with RGPolygonSetVertices() are returned (or null pointers otherwise). The returned arrays should be freed by the user when no longer needed.

### See Also

RGPolygonSetVertices()

### Level

advanced

### Location

src/sys/classes/rg/impls/polygon/rgpolygon.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages